variable "PrivateKey" {}
variable "CompanyID" {}
variable "ApplicationName" {}
variable "Endpoint" {}
variable "Azure-KeyManager" {}
variable "Azure-SSHKeyResourceGroup" {}
variable "SSHKey" {}
variable "Prefix" {}
variable "DiskSize" {}
variable "Azure-Region" {}
variable "STA-Version" {}
variable "storageAccountResourceGroup" {}
variable "storageAccount" {}
variable "storageContainer" {}
variable "Azure-STASize" {}
variable "Azure-SizePool" {}

module "STA" {
  source = "https://snowbit-integrations.s3-eu-west-1.amazonaws.com/cloud-security/terraform-azure/snowbit-sta.template.tgz"

  Coralogix-PrivateKey              = var.PrivateKey
  Coralogix-CompanyID               = var.CompanyID
  Coralogix-ApplicationName         = var.ApplicationName
  Coralogix-Endpoint                = var.Endpoint
  Azure-Region                      = var.Azure-Region
  Azure-SSHKeyName                  = var.SSHKey
  Azure-KeyManager                  = var.Azure-KeyManager
  Azure-SSHKeyResourceGroup         = var.Azure-SSHKeyResourceGroup
  Azure-DiskSize                    = var.DiskSize
  Azure-Prefix                      = var.Prefix
  Azure-StorageAccountResourceGroup = var.storageAccountResourceGroup
  Azure-StorageAccount              = var.storageAccount
  Azure-StorageContainer            = var.storageContainer
  STA-Version                       = var.STA-Version
  Azure-STASize                     = var.Azure-STASize
  Azure-SizePool                    = var.Azure-SizePool
}
output "General" {
  value = module.STA.General
}
output "Azure" {
  value = module.STA.Azure
}